<?php

/*
 * EADScribe - administration ldap pour le serveur mail Scribe/Eole.
 * Copyright (c) 2002 projet Eole, Dijon.
 * Programme modifié et réécrit par Kevin Reverchon <kevin.reverchon@ac-dijon.fr>. 
 * Programme modifié et réécrit par Joël Cuissinat <joel.cuissinat@ac-dijon.fr> en 2003. 
 * Airelle - Ldap administration for mail server
 * Copyright (c) 2000 Alcôve, Luc Saillard <luc.saillard@fr.alcove.com>
 *			      Igor Genibel <Igor.Genibel@fr.alcove.com>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 */

require "libadmin-ldap.php";

// prendre un max d'info dans le dico
include_once 'ParseDico.php';

$ldap_server="localhost";
$ldap_port=389;
$ldap_binddn="cn=admin,o=gouv,c=fr";
// seule info problématique //
$ldap_bindpw="epeeguhi";
/////////////////////////////
$ldap_base="o=gouv,c=fr";
$ldap_objclass_eleve="Eleves";
$ldap_objclass_admin="administrateur";

$rne=$dico['numero_etab'];
$name_aca=$dico['nom_academie'];
$racine="ou=$rne,ou=$name_aca,ou=education,o=gouv,c=fr";
$branche_etab =$racine;

$branch_eleve ="ou=local,ou=eleves,ou=utilisateurs,$racine";
$branch_admin ="ou=local,ou=personnels,ou=utilisateurs,$racine";
$branch_groupe="ou=local,ou=groupes,$racine";

$domaine=$dico['domaine_messagerie_etab'];

$domain_list = array("i-$domaine","$domaine");
$branch_list = array("administrateur", "eleves");

$domaine_restreint = "i-$domaine";
$domaine_internet = $domaine ;
$email_admin="admin@$domaine_internet";

$perl_path="usr/share/eole/backend";
$samba_server=$dico['smb_netbios_name'];

?>
