#!/usr/bin/env python
# -*- coding: UTF-8 -*-

"""
   Test de l'existance d'une liste de diffusion SYMPA
"""

__author__ = "Joël Cuissinat"
__date__ =   "12 septembre 2003"

import os,sys,getopt


def Usage():
	return ("\n    * Test de l'existance d'un liste de diffusion SYMPA *\n\n    usage : " + sys.argv[0] + " -d domaine_principal -l nom_liste\n")


if __name__ == '__main__':
    short = 'hd:l:'
    long  = ('help','domaine=','liste=')
    opts,args =getopt.getopt(sys.argv[1:],short,long)
    for opt,val in opts :
        if opt in ('-h', '--help') :
	    print Usage()
	    sys.exit(0)
	elif opt in ('-d', '--domaine') :
	    domaine=val
	elif opt in ('-l', '--liste') :
	    nom=val
    try:
        if (domaine,val):
	    pass
    except:
	print Usage()
	sys.exit(0)

    # chemin des listes sympa
    sympa="/var/lib/sympa/expl/"
    # robot ppal
    liste=sympa+nom+"/config"
    # robot secondaire
    iliste=sympa+"i-"+domaine+"/"+nom+"/config"

    try:
        fichier = open(liste,"r")
	fichier.close()
    except:
        try:
            fichier = open(iliste,"r")
	    fichier.close()
        except:
            sys.exit(0)
        print nom+"@i-"+domaine
        sys.exit(1)
    print nom+'@'+domaine
    sys.exit(1)
