#!/bin/bash
#
#---------------------------------------------------
#
# Controle des services actifs
#
#---------------------------------------------------

# utilisation des variables du dictionnaire
. ParseDico

# test des interfaces et du routeur
echo -n "reseau";fping $adresse_ip_eth0

#test du serveur ldap 
echo -n "annuaire";tcpcheck  3 localhost:389     #LDAP

# Webmail
echo -n "webmail";tcpcheck  3 $adresse_ip_eth0:80 

#test du serveur imap
if [ $courier_imap == 'oui' ]
then
echo -n "Reception courrier";tcpcheck 3 localhost:143         #IMAP
fi

#test du serveur smtp
echo -n "Envoi courrier";tcpcheck 3 localhost:25          #SMTP

#test du serveur samba
echo -n "partage fichiers";tcpcheck 3 localhost:139    	#SAMBA

#test SpamAssassin
echo -n "Anti-spam";tcpcheck 3 localhost:783

#test de l'antivirus
echo -n "Anti-virus " #;tcpcheck 3 localhost:1400
pidof clamd > /dev/null
if [ $? -eq 0 ]
then
        echo "is alive"
else
        echo "failed"
fi

#test du service imprimantes
# lpd  port 515
# cups port 631
echo -n "imprimantes";tcpcheck 3 localhost:631      #CUPS

# test des services distants
echo -n "Services Distants "
tcpcheck  3 $adresse_ip_dns:53 | grep -q alive   	#  DNS
RC=$?
tcpcheck  3 eole.ac-dijon.fr:80  www.renater.fr:80 www.$nom_academie.fr:80 | grep -q alive 
RC=`expr $RC + $? `
if [ $RC -eq 0 ]
	then
	echo "is alive"
else
	echo "failed"
fi

# test  Mise à jour
echo -n "Mise à jour"
if [ -f /var/www/ead/tmp/rapport-maj.html ] ;then
   tail -2 /var/www/ead/tmp/rapport-maj.html  | grep -q "OK" 2>&1 >/dev/null
   if [ $? -eq 0 ]
	then
	echo "is alive"
   else
	echo "failed"
   fi
else
 echo "is alive"
fi
